View Issue Details

IDProjectCategoryView StatusLast Update
0001818SymmetricDSBugpublic2014-07-29 16:50
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.2 
Target Version3.6.3Fixed in Version3.6.3 
Summary0001818: sym script error with Java 5 detection
DescriptionOn some Windows 7 platforms, the detection of Java 5 is fails in the script. Is it because the "find" or "java" command is unavailable? Should we just remove Java 5 classpath support since our class libraries are no longer compatible with Java 5 for server?

C:\sym-corp\symmetric-3.6.1\bin>set SYM_JAVA=java
C:\sym-corp\symmetric-3.6.1\bin>if /I NOT "" == "" set SYM_JAVA=\bin\java
C:\sym-corp\symmetric-3.6.1\bin>for /F "delims=" %i in ('"C:\sym-corp\symmetric-3.6.1\bin\isjava5.bat"') do set isjava5=%i
C:\sym-corp\symmetric-3.6.1\bin>set isjava5=C:\sym-corp\symmetric-3.6.1\bin>"java" -version 2>&1 | find /c """1.5"

> was unexpected at this time.

C:\sym-corp\symmetric-3.6.1\bin>if C:\sym-corp\symmetric-3.6.1\bin>"java" -version 2>&1 | find /c """1.5" GTR 0 goto :java5

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 186c29fb

2014-07-18 11:10:19

erilong

Details Diff
0001818: sym script error with Java 5 detection - remove Java 5 classpath support
0001818
rm - symmetric-server/src/main/deploy/bin/cpappend.bat Diff File
rm - symmetric-server/src/main/deploy/bin/isjava5.bat Diff File
mod - symmetric-server/src/main/deploy/bin/setenv Diff File
mod - symmetric-server/src/main/deploy/bin/setenv.bat Diff File

Issue History

Date Modified Username Field Change
2014-07-18 11:09 elong New Issue
2014-07-18 11:09 elong Status new => assigned
2014-07-18 11:09 elong Assigned To => elong
2014-07-18 11:10 elong Status assigned => resolved
2014-07-18 11:10 elong Fixed in Version => 3.6.3
2014-07-18 11:10 elong Resolution open => fixed
2014-07-18 12:00 Changeset attached => SymmetricDS trunk r8482
2014-07-29 16:50 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 186c29fb